package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.CtrlSerieBPe;

public interface CtrlSerieBPeDAO  extends GenericDAO<CtrlSerieBPe, Long> {

	public Boolean gerarSeqSerieBPe(Integer empresaId, String estado, Integer minvalue) throws RuntimeException;
	public Integer buscarSequencia(Integer empresaId, String estado);
	public Integer buscarSerieEmb(Integer empresaId, String estado) throws RuntimeException;
	
	public CtrlSerieBPe buscarPorEmpresaEstado(Integer empresaId, Integer estadoId);
	
}
